## slepc 3.9.2+dfsg1

=== debian/changelog ===
slepc (3.9.2+dfsg1-2build2) disco; urgency=medium

  * No-change rebuild against Hypre 2.15.1

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 01 Dec 2018 01:37:46 +0000

slepc (3.9.2+dfsg1-2build1) disco; urgency=medium

  * No-change rebuild against libsuperlu-dist6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 14 Nov 2018 23:09:42 +0000

slepc (3.9.2+dfsg1-2) unstable; urgency=medium

  * show configure logs if there are configure-time errors
  * multiarch improvements:
    - slepc-dev: Architecture: all
    - libslepc3.9-dev-examples: Architecture: all, Multi-Arch: foreign
  * add debian/tests (autopkgtest)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Aug 2018 23:53:08 +0800

slepc (3.9.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Use a verbose build log.
  * Standards-Version: 4.1.5

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2018 21:53:46 +0800

slepc (3.9.1+dfsg1-1exp2) experimental; urgency=medium

  * fix paths to build dir so tests know where the new libs are.

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 May 2018 08:21:07 +0800

slepc (3.9.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream version.
    - applies patches install_destdir-da23b811b8.diff and
      emptyarch-ab4a27b.diff
  * Run build-time tests
     - refactor build steps to take each dh_auto_* separately

 -- Drew Parsons <dparsons@debian.org>  Mon, 07 May 2018 01:52:22 +0800

slepc (3.9.0+dfsg1-1exp1) experimental; urgency=medium

  * New major upstream release.
  * Refresh patches
    - patches applied upstream:
        install_slepcconf.h_SLEPC_DIR-25fa25f10d6.diff
        make_parallel_47f9c11.patch
    - Patch emptyarch-ab4a27b.diff adapted from upstream commit to
      handle empty PETSC_ARCH.
    - install_destdir replaced with install_destdir-da23b811b8.diff,
      upstream commit da23b811b8ddb44dc8675030d65ba3147e6ec20d
  * d/rules override_dh_clean: remove build dirs and other build files
  * Place examples in package libslepc3.9-dev-examples
    - includes html documentation for examples

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Apr 2018 04:34:50 +0800
