=== debian/tests/control ===
Tests: test-slepc
Depends: @, @builddeps@
