## slepc 3.10.1+dfsg1

=== debian/changelog ===
slepc (3.10.1+dfsg1-3) unstable; urgency=medium

  * skip build tests on ia64 (consistently times out)
  * Standards-Version: 4.3.0

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Dec 2018 12:09:42 +0100

slepc (3.10.1+dfsg1-2) unstable; urgency=medium

  * upload new upstream version to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Dec 2018 14:51:20 +0100

slepc (3.10.1+dfsg1-1exp2) experimental; urgency=medium

  * override dh_fixperms for arch-indep (all) to make example config
    scripts not executable

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Nov 2018 18:48:30 +0800

slepc (3.10.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - now uses GNU-style DESTDIR to install (with --prefix --destdir),
      SLEPC_DESTDIR is deprecated.
    - testexamples, testfortran targets now removed from toplevel
      makefile (don't invoke in debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Nov 2018 09:34:11 +0800

slepc (3.10.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 4.2.1
  * -dev packages Depends: ${fortran-mod-version}
    (gfortran-mod-15, constructed from mod version in slepcsys.mod)
  * builds with C compiler not C++ (following latest PETSc)

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Oct 2018 11:01:41 +0800
