=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 # and at the same time the build dir is set in configure.py
 # using python2's sys.platform to a specific string.
 BUILDDIR_ARCH := $(shell python2 -c "import sys; print(sys.platform.replace('cygwin','mswin'))" )
-SLEPC_REAL_BUILD_DIR=installed-arch-$(BUILDDIR_ARCH)-c++-opt
+SLEPC_REAL_BUILD_DIR=installed-arch-$(BUILDDIR_ARCH)-c-opt
 SLEPC_COMPLEX_BUILD_DIR=installed-arch-$(BUILDDIR_ARCH)-c-opt-complex
 
 # SLEPC_VERSION is used for the package names, library sonames, and
@@ -77,10 +77,8 @@
 export SLEPC_REAL_DIR_PREFIX=/usr/lib/slepcdir/$(SLEPC_NAME)/$(SLEPC_REAL_ARCH)
 export SLEPC_COMPLEX_DIR_PREFIX=/usr/lib/slepcdir/$(SLEPC_NAME)/$(SLEPC_COMPLEX_ARCH)
 
-PACKAGE_REAL_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-real
-export PACKAGE_REAL_INSTALL_DIR=$(PACKAGE_REAL_INSTALL_BASEDIR)/$(SLEPC_REAL_DIR_PREFIX)
-PACKAGE_COMPLEX_INSTALL_BASEDIR=debian/tmp/$(SLEPC_NAME)-complex
-PACKAGE_COMPLEX_INSTALL_DIR=$(PACKAGE_COMPLEX_INSTALL_BASEDIR)/$(SLEPC_COMPLEX_DIR_PREFIX)
+export PACKAGE_REAL_INSTALL_DIR=debian/tmp/$(SLEPC_NAME)-real
+PACKAGE_COMPLEX_INSTALL_DIR=debian/tmp/$(SLEPC_NAME)-complex
 
 PETSC_SONAME_VERSION=$(SLEPC_SONAME_VERSION)
 PETSC_DIR_BASE=/usr/lib/petscdir/petsc$(PETSC_SONAME_VERSION)
@@ -151,30 +149,46 @@
 	  SLEPC_DIR=$(CURDIR) \
 	  PETSC_DIR=$(PETSC_DIR_COMPLEX) PETSC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR)
 
+
+# ia64 consistently times out during tests, so skip
+ARCH_NO_TEST_LIST = ia64
+
+empty :=
+space := $(empty)$(empty)
+
+# run tests, or not
+RUNTEST=yes
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_TEST_LIST)$(space)))
+  RUNTEST=no
+endif
+
 override_dh_auto_test:
-	dh_auto_test -p$(SLEPC_REAL_DEV_PACKAGE) -- \
-	  SLEPC_DIR=$(CURDIR) \
-	  PETSC_DIR=$(PETSC_DIR_REAL) PETSC_ARCH=$(SLEPC_REAL_BUILD_DIR) \
-	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_REAL_BUILD_DIR)/lib \
-	  MPIEXEC="$(MPIEXEC_ALLOW_ROOT)"
-	dh_auto_test -p$(SLEPC_COMPLEX_DEV_PACKAGE) -- \
-	  SLEPC_DIR=$(CURDIR) \
-	  PETSC_DIR=$(PETSC_DIR_COMPLEX) PETSC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR) \
-	  LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_COMPLEX_BUILD_DIR)/lib \
-	  MPIEXEC="$(MPIEXEC_ALLOW_ROOT)"
+	set -e; \
+	if [ "$(RUNTEST)" = "no" ]; then \
+	   echo Tests have been disabled on $(DEB_HOST_ARCH); \
+	else \
+	   dh_auto_test -p$(SLEPC_REAL_DEV_PACKAGE) -- \
+		SLEPC_DIR=$(CURDIR) \
+	  	PETSC_DIR=$(PETSC_DIR_REAL) PETSC_ARCH=$(SLEPC_REAL_BUILD_DIR) \
+	  	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_REAL_BUILD_DIR)/lib \
+	  	MPIEXEC="$(MPIEXEC_ALLOW_ROOT)"; \
+	   dh_auto_test -p$(SLEPC_COMPLEX_DEV_PACKAGE) -- \
+		SLEPC_DIR=$(CURDIR) \
+		PETSC_DIR=$(PETSC_DIR_COMPLEX) PETSC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR) \
+	  	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(CURDIR)/$(SLEPC_COMPLEX_BUILD_DIR)/lib \
+	  	MPIEXEC="$(MPIEXEC_ALLOW_ROOT)" ; \
+	fi
 
 override_dh_auto_install:
 	dh_auto_install -p$(SLEPC_REAL_DEV_PACKAGE) -p$(SLEPC_DOC_PACKAGE) \
 	  --destdir=$(PACKAGE_REAL_INSTALL_DIR) --  \
 	  SLEPC_DIR=$(CURDIR) \
-	  PETSC_DIR=$(PETSC_DIR_REAL) PETSC_ARCH=$(SLEPC_REAL_BUILD_DIR) \
-	  SLEPC_DESTDIR=$(PACKAGE_REAL_INSTALL_DIR)
+	  PETSC_DIR=$(PETSC_DIR_REAL) PETSC_ARCH=$(SLEPC_REAL_BUILD_DIR)
 	dh_auto_install -p$(SLEPC_COMPLEX_DEV_PACKAGE) --destdir=$(PACKAGE_COMPLEX_INSTALL_DIR) --  \
 	  SLEPC_DIR=$(CURDIR) \
-	  PETSC_DIR=$(PETSC_DIR_COMPLEX) PETSC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR) \
-	  SLEPC_DESTDIR=$(PACKAGE_COMPLEX_INSTALL_DIR)
+	  PETSC_DIR=$(PETSC_DIR_COMPLEX) PETSC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR)
 
 override_dh_install:
-	dh_install -p$(SLEPC_REAL_PACKAGE) --sourcedir $(PACKAGE_REAL_INSTALL_BASEDIR) --exclude=*html  $(SLEPC_REAL_DIR_PREFIX)/lib/libslepc_real.so.$(SLEPC_VERSION)  usr/lib/$(DEB_HOST_MULTIARCH)
-	dh_install -p$(SLEPC_REAL_DEV_PACKAGE) --sourcedir $(PACKAGE_REAL_INSTALL_BASEDIR) --autodest --exclude=*html --exclude=libslepc_real.so.$(SLEPC_VERSION) --exclude=conf/uninstall.py --exclude=share/slepc/examples --exclude=share/slepc/datafiles  usr
+	dh_install -p$(SLEPC_REAL_PACKAGE) --sourcedir $(PACKAGE_REAL_INSTALL_DIR) --exclude=*html  $(SLEPC_REAL_DIR_PREFIX)/lib/libslepc_real.so.$(SLEPC_VERSION)  usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_install -p$(SLEPC_REAL_DEV_PACKAGE) --sourcedir $(PACKAGE_REAL_INSTALL_DIR) --autodest --exclude=*html --exclude=libslepc_real.so.$(SLEPC_VERSION) --exclude=conf/uninstall.py --exclude=share/slepc/examples --exclude=share/slepc/datafiles  usr
