## slepc 3.10.2+dfsg1

=== debian/changelog ===
slepc (3.10.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Apr 2019 12:08:09 +0800
