## slepc 3.11.2+dfsg1

=== debian/changelog ===
slepc (3.11.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0
  * debian/rules: set OMPI_MCA_plm_rsh_agent
    (orte_rsh_agent is deprecated)

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Aug 2019 00:45:49 +0800

slepc (3.11.0+dfsg1-1exp2) experimental; urgency=medium

  * Build-Depends: libpetsc3.11-dev-examples
    (gmakefile needs gmakegen.py at build time)
  * delete make.log configure.log with dh_clean

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Apr 2019 01:38:54 +0800

slepc (3.11.0+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - supports build configuration with python3
  * Configure build using python3.
    - configure_python3.patch ensures configure is used with python3
    - invoke dh_python3 with --shebang=/usr/bin/python3
  * debhelper compatibility level 12.
  * remove Build-Depends: quilt. quilt is now a standard build package.

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Apr 2019 22:58:48 +0800
