=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper (>= 11), quilt, python (>= 2.4.4-6),
+Build-Depends: debhelper-compat (= 12), python3,
  pkg-config, dh-python, gfortran,
- libpetsc-real3.10-dev, libpetsc-complex3.10-dev,
+ libpetsc-real3.11-dev, libpetsc-complex3.11-dev, libpetsc3.11-dev-examples,
  libarpack2-dev, libparpack2-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Section: libs
 Homepage: http://slepc.upv.es/
 Vcs-Git: https://salsa.debian.org/science-team/slepc.git
@@ -15,7 +15,7 @@
 Package: slepc-dev
 Section: libdevel
 Architecture: all
-Depends: libslepc-real3.10-dev, ${misc:Depends}
+Depends: libslepc-real3.11-dev, ${misc:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -25,14 +25,14 @@
  .
  This is a dependency package which depends on the latest version of SLEPc.
 
-Package: libslepc-real3.10-dev
+Package: libslepc-real3.11-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-real3.10 (= ${binary:Version}), ${petsc:dev},
+Depends: libslepc-real3.11 (= ${binary:Version}), ${petsc:dev},
  ${fortran-mod-version},
  libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
- ${misc:Depends}, ${python:Depends}
-Suggests: libslepc3.10-dev-examples, slepc3.10-doc (= ${binary:Version})
+ ${misc:Depends}, ${python3:Depends}
+Suggests: libslepc3.11-dev-examples, slepc3.11-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -44,13 +44,13 @@
  This package contains the static libraries, shared links, and header files
  for SLEPc with real numbers.
 
-Package: libslepc3.10-dev-examples
+Package: libslepc3.11-dev-examples
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python:Depends}
-Recommends: libslepc-real3.10-dev | libslepc-complex3.10-dev
-Suggests: slepc3.10-doc (= ${binary:Version})
+Depends: ${misc:Depends}, ${python3:Depends}
+Recommends: libslepc-real3.11-dev | libslepc-complex3.11-dev
+Suggests: slepc3.11-doc (= ${binary:Version})
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -58,9 +58,9 @@
  arithmetic. It can also be used for computing a partial SVD of a large,
  sparse, rectangular matrix.
  .
- This package contains example, test, and tutorial scripts for SLEPc 3.10.
+ This package contains example, test, and tutorial scripts for SLEPc 3.11.
 
-Package: libslepc-real3.10
+Package: libslepc-real3.11
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -74,12 +74,12 @@
  .
  This package contains the shared libraries for SLEPc with real numbers.
 
-Package: slepc3.10-doc
+Package: slepc3.11-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libslepc-real3.10-dev | libslepc-complex3.10-dev
+Suggests: libslepc-real3.11-dev | libslepc-complex3.11-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -89,14 +89,14 @@
  .
  This package contains the documentation and examples for SLEPc.
 
-Package: libslepc-complex3.10-dev
+Package: libslepc-complex3.11-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-complex3.10 (= ${binary:Version}), ${petsc:complex-dev},
+Depends: libslepc-complex3.11 (= ${binary:Version}), ${petsc:complex-dev},
  ${fortran-mod-version},
  libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
- ${misc:Depends}, ${python:Depends}
-Suggests: libslepc3.10-dev-examples, slepc3.10-doc (= ${binary:Version})
+ ${misc:Depends}, ${python3:Depends}
+Suggests: libslepc3.11-dev-examples, slepc3.11-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -108,7 +108,7 @@
  This package contains the static libraries, shared links, and header files
  for SLEPc with complex numbers.
 
-Package: libslepc-complex3.10
+Package: libslepc-complex3.11
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
