=== debian/rules ===
--- 
+++ 
@@ -41,15 +41,15 @@
 SLEPC_MPI_DIR=/usr/lib/$(SLEPC_MPI)
 
 # facilitate build-time testing (invoking OpenMPI) when building in a chroot (pbuilder or sbuild)
-export OMPI_MCA_orte_rsh_agent=/bin/false
+export OMPI_MCA_plm_rsh_agent=/bin/false
 
 SLEPC_HDF5_FLAGS=$(shell if [ -e /usr/lib/libhdf5.so ]; then echo "--with-hdf5=1 --with-hdf5-dir=/usr"; fi)
 
 # need correct build dir to perform tests, since SLEPc uses
 # PETSC_ARCH rather SLEPC_ARCH in lib/slepc/conf/slepc_variables
 # and at the same time the build dir is set in configure.py
-# using python2's sys.platform to a specific string.
-BUILDDIR_ARCH := $(shell python2 -c "import sys; print(sys.platform.replace('cygwin','mswin'))" )
+# using python's sys.platform to a specific string.
+BUILDDIR_ARCH := $(shell python3 -c "import sys; print(sys.platform.replace('cygwin','mswin'))" )
 SLEPC_REAL_BUILD_DIR=installed-arch-$(BUILDDIR_ARCH)-c-opt
 SLEPC_COMPLEX_BUILD_DIR=installed-arch-$(BUILDDIR_ARCH)-c-opt-complex
 
@@ -92,7 +92,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 
 override_dh_auto_clean:
@@ -109,6 +109,7 @@
 	dh_clean
 	rm -rf installed-*
 	rm -f lib/slepc/conf/slepcvariables
+	rm -f make.log configure.log
 	find config -name *.pyc | xargs rm -f
 
 # SLEPc differentiates different configurations (real, complex, etc)
