## slepc 3.12.2+dfsg1

=== debian/changelog ===
slepc (3.12.2+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:00 +0100

slepc (3.12.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jan 2020 13:02:46 +0800

slepc (3.12.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * skip build-time tests on x32 (they consistently time out)
  * install examples and datafiles into /usr/share/slepc/3.12 not
    /usr/share/doc/libslepc3.12-dev-examples. Closes: #945339.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Dec 2019 20:46:43 +1100

slepc (3.12.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * skip build-time tests if nocheck is set in DEB_BUILD_OPTIONS
  * skip build-time tests on x32 (they consistently time out)
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 02 Oct 2019 15:01:43 +0800
