=== debian/rules ===
--- 
+++ 
@@ -151,8 +151,8 @@
 	  PETSC_DIR=$(PETSC_DIR_COMPLEX) PETSC_ARCH=$(SLEPC_COMPLEX_BUILD_DIR)
 
 
-# ia64 consistently times out during tests, so skip
-ARCH_NO_TEST_LIST = ia64
+# ia64, x32 consistently time out during tests, so skip
+ARCH_NO_TEST_LIST = ia64 x32
 
 empty :=
 space := $(empty)$(empty)
@@ -160,6 +160,9 @@
 # run tests, or not
 RUNTEST=yes
 ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_TEST_LIST)$(space)))
+  RUNTEST=no
+endif
+ifeq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
   RUNTEST=no
 endif
 
@@ -191,5 +194,3 @@
 
 override_dh_install:
 	dh_install -p$(SLEPC_REAL_PACKAGE) --sourcedir $(PACKAGE_REAL_INSTALL_DIR) --exclude=*html  $(SLEPC_REAL_DIR_PREFIX)/lib/libslepc_real.so.$(SLEPC_VERSION)  usr/lib/$(DEB_HOST_MULTIARCH)
-	dh_install -p$(SLEPC_REAL_DEV_PACKAGE) --sourcedir $(PACKAGE_REAL_INSTALL_DIR) --autodest --exclude=*html --exclude=libslepc_real.so.$(SLEPC_VERSION) --exclude=conf/uninstall.py --exclude=share/slepc/examples --exclude=share/slepc/datafiles  usr
-
