## slepc 3.13.2+dfsg1

=== debian/changelog ===
slepc (3.13.2+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debhelper compatibility level 13
    - ignore uninstalled binary files in arch-indep builds
      (used to build docs).
  * debian/tests run "make check" not "make test"

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jun 2020 02:41:07 +0800

slepc (3.13.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * run debian/tests with V=1 (verbose mode)
  * debian/tests: add tests for complex build

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Apr 2020 14:54:57 +0800

slepc (3.12.2+dfsg1-4) unstable; urgency=medium

  * Source upload to enable migration to testing.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 21:35:03 +0800

slepc (3.12.2+dfsg1-3) unstable; urgency=medium

  * provide libslepc-real-dev and libslepc-complex-dev, dummy packages
    depending on the latest version of SLEPc with real or complex
    number support, respectively.

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Mar 2020 17:12:57 +0800

slepc (3.12.2+dfsg1-2) unstable; urgency=medium

  * Add slave link to the libslepc_{real,complex}.so alternative which
    defines the preferred real and complex versions,
    /usr/lib/slepcdir/slepc-real and /usr/lib/slepcdir/slepc-complex
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Mar 2020 12:29:27 +0800
