=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12), python3,
+Build-Depends: debhelper-compat (= 13), python3,
  pkg-config, dh-python, gfortran,
- libpetsc-real3.12-dev, libpetsc-complex3.12-dev, libpetsc3.12-dev-examples,
+ libpetsc-real3.13-dev, libpetsc-complex3.13-dev, libpetsc3.13-dev-examples,
  libarpack2-dev, libparpack2-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: http://slepc.upv.es/
 Vcs-Git: https://salsa.debian.org/science-team/slepc.git
@@ -15,7 +15,8 @@
 Package: slepc-dev
 Section: libdevel
 Architecture: all
-Depends: libslepc-real3.12-dev, ${misc:Depends}
+Depends: libslepc-real-dev | libslepc-complex-dev | libslepc-real3.13-dev | libslepc-complex3.13-dev,
+ ${misc:Depends}
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -25,14 +26,42 @@
  .
  This is a dependency package which depends on the latest version of SLEPc.
 
-Package: libslepc-real3.12-dev
+Package: libslepc-real-dev
+Section: libdevel
+Architecture: all
+Depends: libslepc-real3.13-dev, ${misc:Depends}
+Description: Scalable Library for Eigenvalue Problem Computations
+ SLEPc is a software library for the solution of large scale sparse eigenvalue
+ problems on parallel computers. It is an extension of PETSc and can be used
+ for either standard or generalized eigenproblems, with real or complex
+ arithmetic. It can also be used for computing a partial SVD of a large,
+ sparse, rectangular matrix.
+ .
+ This is a dummy package which depends on the latest version of SLEPc
+ with real number support.
+
+Package: libslepc-complex-dev
+Section: libdevel
+Architecture: all
+Depends: libslepc-complex3.13-dev, ${misc:Depends}
+Description: Scalable Library for Eigenvalue Problem Computations
+ SLEPc is a software library for the solution of large scale sparse eigenvalue
+ problems on parallel computers. It is an extension of PETSc and can be used
+ for either standard or generalized eigenproblems, with real or complex
+ arithmetic. It can also be used for computing a partial SVD of a large,
+ sparse, rectangular matrix.
+ .
+ This is a dummy package which depends on the latest version of SLEPc
+ with complex number support.
+
+Package: libslepc-real3.13-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-real3.12 (= ${binary:Version}), ${petsc:dev},
+Depends: libslepc-real3.13 (= ${binary:Version}), ${petsc:dev},
  ${fortran-mod-version},
  libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
  ${misc:Depends}, ${python3:Depends}
-Suggests: libslepc3.12-dev-examples, slepc3.12-doc (= ${binary:Version})
+Suggests: libslepc3.13-dev-examples, slepc3.13-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -42,15 +71,15 @@
  sparse, rectangular matrix.
  .
  This package contains the static libraries, shared links, and header files
- for SLEPc with real numbers.
+ for SLEPc 3.13 with real numbers.
 
-Package: libslepc3.12-dev-examples
+Package: libslepc3.13-dev-examples
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}
-Recommends: libslepc-real3.12-dev | libslepc-complex3.12-dev
-Suggests: slepc3.12-doc (= ${binary:Version})
+Recommends: libslepc-real3.13-dev | libslepc-complex3.13-dev
+Suggests: slepc3.13-doc (= ${binary:Version})
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -58,9 +87,9 @@
  arithmetic. It can also be used for computing a partial SVD of a large,
  sparse, rectangular matrix.
  .
- This package contains example, test, and tutorial scripts for SLEPc 3.12.
+ This package contains example, test, and tutorial scripts for SLEPc 3.13.
 
-Package: libslepc-real3.12
+Package: libslepc-real3.13
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -72,14 +101,14 @@
  arithmetic. It can also be used for computing a partial SVD of a large,
  sparse, rectangular matrix.
  .
- This package contains the shared libraries for SLEPc with real numbers.
+ This package contains the shared libraries for SLEPc 3.13 with real numbers.
 
-Package: slepc3.12-doc
+Package: slepc3.13-doc
 Architecture: all
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libslepc-real3.12-dev | libslepc-complex3.12-dev
+Suggests: libslepc-real3.13-dev | libslepc-complex3.13-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
  problems on parallel computers. It is an extension of PETSc and can be used
@@ -89,14 +118,14 @@
  .
  This package contains the documentation and examples for SLEPc.
 
-Package: libslepc-complex3.12-dev
+Package: libslepc-complex3.13-dev
 Section: libdevel
 Architecture: any
-Depends: libslepc-complex3.12 (= ${binary:Version}), ${petsc:complex-dev},
+Depends: libslepc-complex3.13 (= ${binary:Version}), ${petsc:complex-dev},
  ${fortran-mod-version},
  libarpack2-dev, libparpack2-dev, libhdf5-mpi-dev,
  ${misc:Depends}, ${python3:Depends}
-Suggests: libslepc3.12-dev-examples, slepc3.12-doc (= ${binary:Version})
+Suggests: libslepc3.13-dev-examples, slepc3.13-doc (= ${binary:Version})
 Conflicts: libslepc2.3.2-dev
 Description: Scalable Library for Eigenvalue Problem Computations
  SLEPc is a software library for the solution of large scale sparse eigenvalue
@@ -106,9 +135,9 @@
  sparse, rectangular matrix.
  .
  This package contains the static libraries, shared links, and header files
- for SLEPc with complex numbers.
+ for SLEPc 3.13 with complex numbers.
 
-Package: libslepc-complex3.12
+Package: libslepc-complex3.13
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -120,5 +149,6 @@
  arithmetic. It can also be used for computing a partial SVD of a large,
  sparse, rectangular matrix.
  .
- This package contains the shared libraries for SLEPc with complex numbers.
+ This package contains the shared libraries for SLEPc 3.13
+ with complex numbers.
