=== debian/tests/control ===
Tests: test-slepc
Depends: @, @builddeps@

Tests: test-slepc-complex
Depends: @, @builddeps@
